goalFindMissingPiece.mSteps = 
{
	{ action = "solve", layout = layoutBoathouseRotascope, started = true },	
	{ action = "click", object = objectHoRotascopePiece01 },	
}
-- ----------------------------------------------------------------------------
goalFindMissingPiece.readyToStart = false
-- ----------------------------------------------------------------------------
function goalFindMissingPiece:shouldStart()

	return self.readyToStart

end
-- ----------------------------------------------------------------------------
function goalFindMissingPiece:onLayoutShow(layout)

	if (layout == layoutCryptRotascope) then
		if (not objectHoRotascopePiece01:isFound()) then
			self.readyToStart = true
		end	
	end

end
-- ----------------------------------------------------------------------------
function goalFindMissingPiece:onClickHO(layout, object, props, x, y)

	if (object == objectHoRotascopePiece01) then
		self:achieved()
	end

end
-- ----------------------------------------------------------------------------
function goalFindMissingPiece:onStarted()

	if (objectHoRotascopePiece01:isInactive()) then
		objectHoRotascopePiece01:ss(kHidden)
	end

	if (objectHoRotascopePiece01:isIdle()) then
		objectHoRotascopePiece01:ss(kActive)
	end	

end